NeXT-FAQ.os: Questions about the NeXT operating system

*** Subject: O1. What preliminary information is there about NeXTstep 486? 

NeXTstep (or NEXTSTEP) 486 was announced in Jan, 92, and is
expected to ship in Q3/Q4 of the year.

Here are some notes from a user who spoke with the Product Manager
at Dev Camp.

- First port of NeXTStep
- Available as a product through certain OEM's
- Available as a shrink-wrap product
- Run on any 386 or above processor, needs 486-33 for same
  Performance as 68040-25. 486-50 10-20% faster than
  NeXTStation Turbo; Support SX-chips 
- Avaialable for ISA and ESIA
- Memory; 8-12 for monochrome, 16-24 for color
- User 128megs, Developers 300meg
- Support IDE, SCSI, SCSI-II
- Distributed CD-ROM w/ bootfloppy
- Features: All of NeXTStep 3.0
- Sold as User & Developer Package
- Can have a DOS and NeXT partition; Use either one
- DOS & Microsoft Windows Capability?? - Not yet implemented
- FAT Binary Capability - Combine Motorola & PC binaries
  into on file 
- NeXTStep will run on Notebooks; Special Release (after
  initial release) that will incorporate compatibility
  for Parallel Ports, Lower-Power SX chips, Basic VGA
  video-mode.. 
- Support VGA (notebooks)-Monochrome,
  SVGA-Monochrome, JAWS-(16-bit Color,various res),
  Compaq Q-Vision-(16-bit Color) 

It is important to note one thing immediatly. The product
will probably  eventually drop the "486" from its name
because it will run on 386 models,  etc. Models by Intel,
AMD, Cyrix, etc. Release Date? It was not talked about.
However, on such topics as Sound  for the 80x86 series, an
engineer at NeXT is sound-happy so he went and  got all the
available soundcards for the PC and has/is writing
drivers for  them. 


*** Subject: O2. Why does NeXTstep Release 1.0 hang a few seconds after attempting to boot?

Release 1.0 contains a bug that can corrupt the kernel
/odmach if a user attempts to launch /odmach from the
browser.  The solution is to copy a clean /odmach from
another NeXT system. Be sure to change the permissions of
the newly installed /odmach to remove execute
permissions to prevent future occurrences of the same
problem.  Release 1.0a and 2.0 do not have this problem.

It is possible for the sdmach to get corrupted in the same
way. Boot from the OD, copy an uncorrupted version of the
kernel to the hard disk, and remove the execute bits from
sdmach.


*** Subject: O3. How much free disk space is available on the NeXTstation and NeXTcube?

As shipped, the 105MB NeXTstation has less than 25 MB
free. Note: The swap space is by default configured to
16MB with a low water mark of 20MB (the system does not
attempt to reduce the size of the swapfile space until the
swapfile grows past the low water mark).

The extended release takes 179M, including a 16M
swapfile, and not including Mathematica or Sybase (this
is from a virgin install of 2.0 extended from an optical). 


*** Subject: O4. What software is bundled with the new 040 NeXT machines?

Both the 105MB and 200MB systems come with Release 2.0
preinstalled. The systems with larger hard disks have
Release 2.0 Extended preinstalled.  The price of all of
the new systems includes the cost of the software
license.  Note that the price of the 040 upgrade for 030
machines does not include the cost of the software
license.


RELEASE 2.0 includes:

	*End User Applications
		Workspace Mgr(tm),
		NeXT Mail(tm),
		Digital Webster(tm) (9th Collegiate Dictionary(r)
		and Collegiate Thesaurus(r)),
		Digital Librarian(tm),
		Edit,
		Mathematica(r) [for higher education customers only],
		DataViz/Bridge(tm),
		Installer,
		FaxReader,
		Preferences,
		Preview for Post Script,
		PrintManager
	*Developer Tools
		VT100(tm) Terminal Emulator [based on Stuart]
	*System Administration Applications
		BuildDisk,
		InstallTablet,
		Mail Manager,
		NetInfo Manager,
		NetManager,
		Printer Tester,
		User Manager,
		Installer

RELEASE 2.0 (extended) adds:

	*End User Applications
		Oxford(r) Dictionary of Quotations,
		William Shakespeare-The Complete Works (DL),
		TEX(tm) Document Processing System (Radical Eye Software).
	*Developer Tools
		Interface Builder(tm),
		Objective-C(r) Language Compiler,
		C++ Language Compiler,
		Objective-C Class Definitions,
		56001 DSP Tools,
		GNU Emacs,
		GNU Debugger,
		BUG-56(tm) Debugger (Ariel),
		Malloc Debugger,
		AppInspector(tm),
		PostScript Tools,
		Application Kit(tm),
		Music Kit(tm),
		Sound Kit(tm),
		On-line technical documentation

You are allowed to copy software from the extended
release from a friend if you are licensed to run 2.0.

Digital Webster is not complete except in the "extended"
release.

WriteNow(R) is no longer bundled as a full App. A
crippled, read-only version will continue to be
bundled. 


*** Subject: O5. Can I delete /odmach or /sdmach and save 700K?

Go ahead and delete it if you want.  However, you might as
well leave it there since sdmach and odmach are links to
the same file (i.e. you won't save much space by deleting
it).

Better to look for random core files!  Icon.app generates
quite a lot of core dumps. 


*** Subject: O6. NeXTstep 2.0 machines report an error on the console: "loginwindow: netinfo problem - No such directory."  Is this a problem?

The netinfo problem is because the /keyboard directory
is missing. It's benign... 

[EPS adds]

"But annoying.
	niutil -create . /keyboard" 

Fixed in 2.1.


*** Subject: O7. Under NeXTstep 2.0 running UUCP and other incoming connections hangs the modem serial line: what can I do?

There is a bug in the serial driver which causes getty to
get stuck. The situation arises after a successful
uucico connection, subsequent connections via modem
will get a connection with the modem, but no login prompt. 
This is caused by getty hanging.  A simple work around  is to
have a process run in cron to reset the getty every 15
minutes: 

	#! /bin/sh -u
	PIDS=`ps -ax | bm getty | grep -v bm | awk '{print $1}'`
	kill -TERM $PIDS

Of course trying to connect when the script is running
will not allow you to connect, try again a minute later. 
This fix will not affect on-going UUCP or interactive
connections.  This will probably be fixed in the next
kernel release. 

This bug is corrected in 2.1


*** Subject: O8. Applications installed in /LocalApps are not being found on my NeXTstep 2.0 system.

Workspace has its own internal application path.  In 2.0
/LocalApps was omitted.  Improv needs to have /LocalApps
in the Workspace path if you have Improve installed in
/LocalApps.  The work around in 2.0 only is: 

	dwrite Workspace ApplicationPaths "~/Apps:/LocalApps:/NextApps:/NextDeveloper/Apps:/NextAdmin:/NextDeveloper/Demos
	(one continuous line! - pasc)

This bug is corrected in 2.1, and hopefully all
subsequent releases. 


*** Subject: O9. Why can't root login onto client machines?

A number of people have complained about the situation
where root can log onto the configuration server, but not
its clients.  Login proceeds normally, then a window with
"Workspace error Internal error (signal 10)" pops up. 
Other users are not affected.

This scenario occurs with NetBooted clients that are not
permitted root access to / via the server's /etc/exports
file, either via an explicit root= option or [the most
heinous] anon=0. For security reasons many sites will
NOT want to permit such access.

Note that what you're up against is only a Workspace
Manager misfeature; there's no problem logging in as
root on the real UNIX console, or logging in as a non-root
user and then using "su" to obtain root privileges. 

Root access is needed to:

- Log in a root Workspace.
- Perform BuildDisk on a client.
- Run the GuidedTour demo for the first time subsequent
invocations will not autologin, but they will run just
fine if you log in as NextTour (no password). 

It is not required to perform updates on the local NetInfo
database, for any normal user operations, nor to run
programs requiring root access on the server using
-NXHost. 


*** Subject: O10. How to boot a NeXT from the second (higher SCSI ID) HD?

	bsd(1,0,0) -a

which will then ask you for the drive to use as the root disk, or
still easier,

	bsd(1,0,0)sdmach rootdev=sd1



---
Editor:
Nathan Janette nathan@laplace.csb.yale.edu
